import React from "react";
import PropTypes from "prop-types";
import TrailingSlashComponent from "./TrailingSlashComponent";
import PathOverwriteComponent from "./PathOverwriteComponent";
import PathInjectionComponent from "./PathInjectionComponent";
import KeyOverwriteCard from "./keyOverwrite/KeyOverwriteCard";

const ForwardOptionsAdvancedComponent = ({ options }) => {
  return (
    <>
      {options.trailingSlash && <TrailingSlashComponent />}
      {options.pathOverwrite && (
        <PathOverwriteComponent data={options.pathOverwrite} />
      )}
      {options.pathInjection && (
        <PathInjectionComponent data={options.pathInjection} />
      )}
      {options.keyOverwrite && <KeyOverwriteCard data={options.keyOverwrite} />}
    </>
  );
};

ForwardOptionsAdvancedComponent.propTypes = {
  options: PropTypes.object.isRequired
};

export default ForwardOptionsAdvancedComponent;
